ON_FixedSizePool Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h>`

Inheritance diagram for ON_FixedSizePool:

## Public Member Functions

| ON_FixedSizePool ()
| ~ON_FixedSizePool ()
bool | Create (std::size_t sizeof_element, std::size_t element_count_estimate, std::size_t block_element_capacity)
std::size_t | SizeofElement () const
void * | AllocateElement ()
void | ReturnElement (void *p)
void | ReturnAll ()
void | Destroy ()
std::size_t | ActiveElementCount () const
std::size_t | TotalElementCount () const
void * | FirstElement ()
void * | FirstElement (std::size_t element_index)
void * | NextElement ()
void * | FirstBlock (std::size_t *block_element_count)
void * | NextBlock (std::size_t *block_element_count)
void * | Element (std::size_t element_index) const
void | SetHeap (ON_MEMORY_POOL *heap)
ON_MEMORY_POOL * | Heap ()
void | EmergencyDestroy ()

## Friends

class | ON_FixedSizePoolIterator

## Detailed Description

Definition at line 19 of file opennurbs_fsp.h.

## Constructor & Destructor Documentation

## ON_FixedSizePool()

ON_FixedSizePool::ON_FixedSizePool | ( |  | ) |

## ~ON_FixedSizePool()

ON_FixedSizePool::~ON_FixedSizePool | ( |  | ) |

## Member Function Documentation

## ActiveElementCount()

std::size_t ON_FixedSizePool::ActiveElementCount | ( |  | ) | const

Referenced by ON_SimpleFixedSizePool< T >::ActiveElementCount().

## AllocateElement()

void* ON_FixedSizePool::AllocateElement | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::AllocateElement().

## Create()

bool ON_FixedSizePool::Create | ( | std::size_t | sizeof_element,
|  | std::size_t | element_count_estimate,
|  | std::size_t | block_element_capacity
| ) |  |

Referenced by ON_SimpleFixedSizePool< T >::Create().

## Destroy()

void ON_FixedSizePool::Destroy | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::Destroy(), and ON_SimpleFixedSizePool< T >::~ON_SimpleFixedSizePool().

## Element()

void* ON_FixedSizePool::Element | ( | std::size_t | element_index | ) | const

Referenced by ON_SimpleFixedSizePool< T >::Element().

## EmergencyDestroy()

void ON_FixedSizePool::EmergencyDestroy | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::EmergencyDestroy().

## FirstBlock()

void* ON_FixedSizePool::FirstBlock | ( | std::size_t * | block_element_count | ) |

Referenced by ON_SimpleFixedSizePool< T >::FirstBlock().

## FirstElement() [1/2]

void* ON_FixedSizePool::FirstElement | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::FirstElement().

## FirstElement() [2/2]

void* ON_FixedSizePool::FirstElement | ( | std::size_t | element_index | ) |

## Heap()

ON_MEMORY_POOL* ON_FixedSizePool::Heap | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::Heap().

## NextBlock()

void* ON_FixedSizePool::NextBlock | ( | std::size_t * | block_element_count | ) |

Referenced by ON_SimpleFixedSizePool< T >::NextBlock().

## NextElement()

void* ON_FixedSizePool::NextElement | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::NextElement().

## ReturnAll()

void ON_FixedSizePool::ReturnAll | ( |  | ) |

Referenced by ON_SimpleFixedSizePool< T >::ReturnAll().

## ReturnElement()

void ON_FixedSizePool::ReturnElement | ( | void * | p | ) |

Referenced by ON_SimpleFixedSizePool< T >::ReturnElement().

## SetHeap()

void ON_FixedSizePool::SetHeap | ( | ON_MEMORY_POOL * | heap | ) |

Referenced by ON_SimpleFixedSizePool< T >::SetHeap().

## SizeofElement()

std::size_t ON_FixedSizePool::SizeofElement | ( |  | ) | const

Referenced by ON_SimpleFixedSizePool< T >::SizeofElement().

## TotalElementCount()

std::size_t ON_FixedSizePool::TotalElementCount | ( |  | ) | const

Referenced by ON_SimpleFixedSizePool< T >::TotalElementCount().

## Friends And Related Function Documentation

## ON_FixedSizePoolIterator

friend class ON_FixedSizePoolIterator

friend

Definition at line 329 of file opennurbs_fsp.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h